"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumberListNodeParser = void 0;
const _1 = require(".");
const creator_1 = require("./creator");
const PlainNode_1 = require("./PlainNode");
const numberListRegExp = /^[0-9]+\. .*$/;
const createNumberListNode = (raw, opts) => {
    if (opts.context === "table") {
        return (0, PlainNode_1.createPlainNode)(raw, opts);
    }
    const separatorIndex = raw.indexOf(" ");
    const rawNumber = raw.substring(0, separatorIndex - 1);
    const number = parseInt(rawNumber, 10);
    const text = raw.substring(separatorIndex + 1, raw.length);
    return [
        {
            type: "numberList",
            raw,
            rawNumber,
            number,
            nodes: (0, _1.convertToNodes)(text, { ...opts, nested: true }),
        },
    ];
};
exports.NumberListNodeParser = (0, creator_1.createNodeParser)(createNumberListNode, {
    parseOnNested: false,
    parseOnQuoted: false,
    patterns: [numberListRegExp],
});
//# sourceMappingURL=NumberListNode.js.map